#include <bits/stdc++.h>

void prolaz(int n, int l, int a[]) {
    int x = 1;
    for(int i = 0; i < n; i++) {
        if(a[i] <= l) {
            break;
        }
        else {
            x++;
        }
    }
    if(x == n+1) {
        std::cout << "-1" << std::endl;
    }
    else {
        std::cout << x << std::endl;
    }
}

int main() {

    int n, l;
    int a[1000];
    std::cin >> n >> l;

    for(int i = 0; i < n; i++) {
        std::cin >> a[i];
    }

    prolaz(n, l, a);

    return 0;
}